#include <FL/Fl.H>
#include <FL/Fl_Double_Window.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Text_Buffer.H>
#include <FL/Fl_Text_Editor.H>

static Fl_Double_Window *main_win=(Fl_Double_Window *)0;

static Fl_Button *bt1=(Fl_Button *)0;
static Fl_Button *bt2=(Fl_Button *)0;
static Fl_Button *bt3=(Fl_Button *)0;
static Fl_Button *bt4=(Fl_Button *)0;
static Fl_Button *quit_bt=(Fl_Button *)0;

static Fl_Text_Editor *edit_1=(Fl_Text_Editor *)0;
static Fl_Text_Buffer *textbuf = 0;


static void cb_quit_bt(Fl_Button*, void*) {
  main_win->hide();
}

int main(int argc, char **argv) {
  main_win = new Fl_Double_Window(669, 459, "Test Editor Navigation");
  main_win->begin();

  bt1 = new Fl_Button(20, 20, 75, 35, "Button 1");
  bt2 = new Fl_Button(203, 20, 75, 35, "Button 2");
  bt3 = new Fl_Button(386, 20, 75, 35, "Button 3");
  bt4 = new Fl_Button(570, 20, 75, 35, "Button 4");

  textbuf = new Fl_Text_Buffer;
  edit_1 = new Fl_Text_Editor(20, 70, 625, 315);
  edit_1->buffer(textbuf);
  edit_1->textfont(FL_COURIER);
  edit_1->textsize(14);

  // Tell the editor to ignore tabs
  edit_1->add_key_binding (FL_Tab, FL_TEXT_EDITOR_ANY_STATE, Fl_Text_Editor::kf_ignore);

  quit_bt = new Fl_Button(570, 410, 75, 35, "Quit");
  quit_bt->callback((Fl_Callback*)cb_quit_bt);

  main_win->end();

  main_win->show(argc, argv);
  return Fl::run();
} // main

// end of file
